<?php
/**
 * Shortcodes Initializer
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category Cyber Chimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

// Set path of shortcodes folder.
$path_shortcodes = get_template_directory() . '/elements/shortcodes/';

//Load all Shortcodes
require_once( $path_shortcodes . 'tab.php' );
require_once( $path_shortcodes . 'modal.php' );
require_once( $path_shortcodes . 'collapse.php' );
require_once( $path_shortcodes . 'tooltip.php' );
require_once( $path_shortcodes . 'popover.php' );

// Add CSS and JS for shortcodes
function cyberchimps_add_shortcode_scripts() {

	// Set path of shortcodes folder.
	$uri_shortcodes = get_template_directory_uri() . '/elements/shortcodes/';

	wp_register_style( 'shortcode_style', $uri_shortcodes . 'lib/css/shortcodes.css' );
	wp_enqueue_style( 'shortcode_style' );
}

add_action( 'wp_enqueue_scripts', 'cyberchimps_add_shortcode_scripts' );
?>