<?php
/**
 * Theme Functions
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

// Load text domain.
function cyberchimps_text_domain() {
	load_theme_textdomain( 'ifeaturepro', get_template_directory() . '/inc/languages' );
}
add_action( 'after_setup_theme', 'cyberchimps_text_domain' );

// Load Core
require_once( get_template_directory() . '/cyberchimps/init.php' );

// Notify user of theme update on "Updates" page in Dashboard.
require_once( get_template_directory() . '/inc/wp-updates-theme.php' );
new WPUpdatesThemeUpdater_93( 'http://wp-updates.com/api/2/theme', basename(get_template_directory()) );

// Set the content width based on the theme's design and stylesheet.
if ( ! isset( $content_width ) )
	$content_width = 640; /* pixels */

function ifeature_add_site_info() { ?>
	<p>&copy; Company Name</p>	
<?php }
add_action('cyberchimps_site_info', 'ifeature_add_site_info');	

if ( ! function_exists( 'cyberchimps_comment' ) ) :
// Template for comments and pingbacks.
// Used as a callback by wp_list_comments() for displaying the comments.
function cyberchimps_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'ifeaturepro' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', 'ifeaturepro' ), ' ' ); ?></p>
	<?php
			break;
		default :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment hreview">
			<footer>
				<div class="comment-author reviewer vcard">
					<?php echo get_avatar( $comment, 40 ); ?>
					<?php printf( '%s <span class="says">' . __( 'says:', 'ifeaturepro' ) . '</span>', sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
				</div><!-- .comment-author .vcard -->
				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em><?php _e( 'Your comment is awaiting moderation.', 'ifeaturepro' ); ?></em>
					<br />
				<?php endif; ?>

				<div class="comment-meta commentmetadata">
					<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>" class="dtreviewed"><time pubdate datetime="<?php comment_time( 'c' ); ?>">
					<?php
						/* translators: 1: date, 2: time */
						printf( '%1$s ' . __( 'at', 'ifeaturepro' ) . ' %2$s', get_comment_date(), get_comment_time() ); ?>
					</time></a>
					<?php edit_comment_link( __( '(Edit)', 'ifeaturepro' ), ' ' );
					?>
				</div><!-- .comment-meta .commentmetadata -->
			</footer>

			<div class="comment-content"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div><!-- .reply -->
		</article><!-- #comment-## -->

	<?php
			break;
	endswitch;
}
endif; // ends check for cyberchimps_comment()

if ( ! function_exists( 'cyberchimps_theme_check' ) ) :
// core options customization Names and URL's
//Pro or Free has to stay prepended with cyberchimps_
function cyberchimps_theme_check() {
	$level = 'pro';
	return $level;
}
endif;
//Theme Name
function ifeature_options_theme_name(){
	$text = 'iFeature Pro 5';
	return $text;
}
//Doc's URL
function ifeature_options_documentation_url() {
	$url = 'http://cyberchimps.com/guides/c-pro/';
	return $url;
}
// Support Forum URL
function ifeature_options_support_forum() {
	$url = 'http://cyberchimps.com/forum/pro/ifeature-pro/';
	return $url;
}
// Slider Options Help URL
function ifeature_options_slider_options_help() {
	$url = 'http://cyberchimps.com/guide/how-to-use-the-pro-slider/';
	return $url;
}
add_filter( 'cyberchimps_current_theme_name', 'ifeature_options_theme_name', 1 );
add_filter( 'cyberchimps_documentation', 'ifeature_options_documentation_url' );
add_filter( 'cyberchimps_support_forum', 'ifeature_options_support_forum' );
add_filter( 'cyberchimps_slider_options_help', 'ifeature_options_slider_options_help' );

// Help Section
function cyberchimps_options_help_header() {
	$text = 'iFeature Pro 5';
	return $text;
}
function ifeature_options_help_sub_header(){
	$text = __( 'CyberChimps Pro Responsive WordPress Starter Theme', 'ifeaturepro' );
	return $text;
}

add_filter( 'cyberchimps_help_heading', 'cyberchimps_options_help_header' );
add_filter( 'cyberchimps_help_sub_heading', 'ifeature_options_help_sub_header' );

// Branding images and defaults

//slider defaults
function ifeature_slider_image_1() {
	$image = '/images/branding/ifp5slider.jpg';
	return $image;
}
//add same image to all 3 slider image filters
add_filter( 'cyberchimps_slide_pro_img1', 'ifeature_slider_image_1' );
add_filter( 'cyberchimps_slide_pro_img2', 'ifeature_slider_image_1' );
add_filter( 'cyberchimps_slide_pro_img3', 'ifeature_slider_image_1' );

// default header option
function ifeature_header_drag_and_drop_default() {
	$option =  array(
			'cyberchimps_sitename_contact'  => 'Logo + Contact',
		);
	return $option;
}
add_filter( 'header_drag_and_drop_default', 'ifeature_header_drag_and_drop_default' );

// set searchbar by default
function ifeature_searchbar_default() {
	$default = 'checked';
	return $default;
}
add_filter( 'searchbar_default', 'ifeature_searchbar_default' );

//theme specific skin options in array. Must always include option default
function ifeature_skin_color_options( $options ) {
	
	// Get path of image
	$imagepath = get_template_directory_uri(). '/inc/css/skins/images/';
	
	$options = array(
		'default'	=> $imagepath . 'default.png',
		'black'		=> $imagepath . 'black.png',
		'blue'		=> $imagepath . 'blue.png',
		'dblue'		=> $imagepath . 'darkblue.png',
		'green'		=> $imagepath . 'green.png',
		'orange'	=> $imagepath . 'orange.png',
		'pink'		=> $imagepath . 'pink.png',
		'red'		=> $imagepath . 'red.png'
	);		
	return $options;
}
add_filter( 'cyberchimps_skin_color', 'ifeature_skin_color_options', 1 );

// theme specific typography options
function ifeature_typography_sizes( $sizes ) {
	$sizes = array( '8','9','10','12','14','16','20' );
	return $sizes;
}

function ifeature_typography_styles( $styles ) {
	$styles = array( 'normal' => 'Normal','bold' => 'Bold' );
	return $styles;
}
add_filter( 'cyberchimps_typography_sizes', 'ifeature_typography_sizes' );
add_filter( 'cyberchimps_typography_styles', 'ifeature_typography_styles' );

function ifeature_post_tags( $tags ) {
	$tag = trim( $tags, __( 'Tags:', 'ifeaturepro' ) );
	$tag = explode( ',', $tag );
	$tag = implode( ' ', $tag );
	return $tag;
}
add_filter( 'cyberchimps_post_tags', 'ifeature_post_tags' );

/* remove meta seperator */
function ifeature_seperator( $sep ) {
	$sep = ' ';
	return $sep;
}
add_filter( 'cyberchimps_entry_meta_sep', 'ifeature_seperator' );

/****************************/
/* ADD OPTIONS AND FEATURES */
/****************************/

//add imenu section
function ifeature_add_sections( $original ) {
	$new_section[][2] = array( 	'id' => 'cyberchimps_imenu_section',
															'label' => __('iMenu Options', 'ifeaturepro'),
															'heading' => 'cyberchimps_header_heading'
												);
	$new_sections = cyberchimps_array_section_organizer( $original, $new_section );
	
	return $new_sections;
}
add_filter( 'cyberchimps_sections_filter', 'ifeature_add_sections', 2 );

//add fields 2nd key is the position in that section
function ifeature_add_fields( $original ) {
	$new_field[][]	= array( 	'name' => __( 'Top Header Bar', 'ifeaturepro' ),
														'id' => 'top_header_bar',
														'type' => 'toggle',
														'std' => 1,
														'section' => 'cyberchimps_header_options_section',
														'heading' => 'cyberchimps_header_heading'											
												);
	$new_field[][] = array( 	'name' => __( 'Menu Home Icon', 'ifeaturepro' ),
														'id' => 'menu_home_button',
														'type' => 'toggle',
														'std' => 1,
														'section' => 'cyberchimps_imenu_section',
														'heading' => 'cyberchimps_header_heading'											
												);
	$new_field[][1] = array(	'name' => __( 'Add Telephone Number', 'ifeaturepro' ),
														'id' => 'contact_tel_number',
														'type' => 'toggle',
														'std' => 1,
														'section' => 'cyberchimps_header_details_section',
														'heading' => 'cyberchimps_header_heading'
													);
	$new_field[][2] = array(	'name' => __( 'Telephone Number', 'ifeaturepro' ),
														'id' => 'tel_number',
														'class' => 'contact_tel_number_toggle',
														'type' => 'text',
														'desc' => __( 'Enter phone number with country code', 'ifeaturepro' ),
														'std' => __( 'Enter your phone number', 'ifeaturepro' ),
														'section' => 'cyberchimps_header_details_section',
														'heading' => 'cyberchimps_header_heading'
												);
	$new_field[][3] = array(	'name' => __( 'Telephone Text', 'ifeaturepro' ),
														'id' => 'tel_text',
														'class' => 'contact_tel_number_toggle',
														'type' => 'text',
														'desc' => __( 'Enter contact number text', 'ifeaturepro' ),
														'std' => __( 'Enter your contact text', 'ifeaturepro' ),
														'section' => 'cyberchimps_header_details_section',
														'heading' => 'cyberchimps_header_heading'
												);
	$new_field[][4] = array(	'name' => __( 'Add Email Address', 'ifeaturepro' ),
														'id' => 'contact_email',
														'type' => 'toggle',
														'std' => 1,
														'section' => 'cyberchimps_header_details_section',
														'heading' => 'cyberchimps_header_heading'
												);
	$new_field[][5] = array(	'name' => __( 'Email', 'ifeaturepro' ),
														'id' => 'email',
														'class' => 'contact_email_toggle',
														'type' => 'text',
														'std' => 'name@domain.com',
														'section' => 'cyberchimps_header_details_section',
														'heading' => 'cyberchimps_header_heading'
												);
	$new_field[][6] = array(	'name' => __( 'Make Email Address a link', 'ifeaturepro' ),
														'id' => 'email_link',
														'type' => 'toggle',
														'std' => 0,
														'section' => 'cyberchimps_header_details_section',
														'heading' => 'cyberchimps_header_heading'
												);
																								
	$new_fields = cyberchimps_array_field_organizer( $original, $new_field );
	return $new_fields;
}
add_filter( 'cyberchimps_field_filter', 'ifeature_add_fields', 2 );

// add top bar option and add contact information
function ifeature_fields_filter( $fields ) {
	// drop unwanted fields
	foreach( $fields as $key => $value ):
		if( $value['id'] == 'contact_details' ):
			unset( $fields[$key] );
		endif;
	// move the search bar to imenu section	
		if( $value['id'] == 'searchbar' ):
			$fields[$key]['section'] = 'cyberchimps_imenu_section';
		endif;
	endforeach;
	
	return $fields;
}
add_filter( 'cyberchimps_field_filter', 'ifeature_fields_filter', 3 );

// Add new contact information to header
function ifeature_contact_details_header() {
	$contact = '';
	// if add telephone number toggle ON 
	if( 1 == cyberchimps_get_option( 'contact_tel_number', 1 ) ) {
		$contact .= '<div class="cc-telephone-number">' . 
		( wp_is_mobile() ? '<a href="tel:' . cyberchimps_get_option( 'tel_number' ) . '">' . cyberchimps_get_option( 'tel_text', __( 'Enter your phone number', 'ifeaturepro' ) ) .'</a>'
		: '<span>' . cyberchimps_get_option( 'tel_text', __( 'Enter your phone number', 'ifeaturepro' ) ) .'</span>' ) .
		'<span class="glyphicon glyphicon-earphone"></span>';
	}
	// if add email address toggle ON
	if( 1 == cyberchimps_get_option( 'contact_email', 1 ) ) {
		// if email link toggle is OFF
		if ( 0 == cyberchimps_get_option( 'email_link', 0 ) ) {
			$contact .= '<div class="cc-email">' . cyberchimps_get_option( 'email', 'name@domain.com' ) .
						'<span class="glyphicon glyphicon-envelope"></span></div>';
		}
		else {
			$contact .= '<div class="cc-email"><a href="mailto:' . esc_attr( cyberchimps_get_option( 'email', 'name@domain.com' ) ) . '">' . 
						cyberchimps_get_option( 'email', 'name@domain.com' ) .
						'</a><span class="glyphicon glyphicon-envelope"></span></div>';
		}
	}
	
	return $contact;
}
add_filter( 'cyberchimps_header_contact', 'ifeature_contact_details_header', 2 );

//add home button to menu
function ifeature_add_home_menu( $menu, $args ) {
	$is_home = cyberchimps_get_option( 'menu_home_button', 1 );
	if( !is_array( $args ) ) {
	
		//check if the toggle is set. And if it is, then add the home button to the start of the primary menu.
		if( $is_home == 1 && $args->theme_location == 'primary' ) {
			$home = '<li id="menu-item-ifeature-home"><a href="'. home_url() .'"><span class="glyphicon glyphicon-home"></span></a></li>';
			$menu = $home . $menu;
		}
	}
	else {
		if( $is_home == 1 ) {
			$home = '<li id="menu-item-ifeature-home"><a href="'. home_url() .'"><span class="glyphicon glyphicon-home"></span></li>';
			$menu = $home . $menu;
		}
	}
	return $menu;
}
add_filter( 'wp_nav_menu_items', 'ifeature_add_home_menu', 10, 2 );
add_filter( 'cyberchimps_fallback_menu_filter', 'ifeature_add_home_menu', 10, 2 );

/* fix full width container that disappears on horizontal scroll */
function cyberchimps_full_width_fix() {
	$responsive_design = cyberchimps_get_option( 'responsive_design' );
	$min_width = cyberchimps_get_option( 'max_width' );
	if( ! $responsive_design ) {
		$style = '<style rel="stylesheet" type="text/css" media="all">';
		$style .= '.container-full, #footer-widgets-wrapper, #footer-main-wrapper { min-width: '. $min_width . 'px;}';
		$style .= '</style>';
		
		echo $style;
	}
}
add_action( 'wp_head', 'cyberchimps_full_width_fix' );